MEDIA STATEMENTS

Minister Muthambi to meet Eastern Cape Community Development Workers

Date: 9 Jan 2018

Minister for the Public Service and Administration, Ms Faith Muthambi, will convene a provincial consultative engagement on the Community Development Workers Programme (CDWP), jointly with a briefing on the African Peer Review Mechanism (APRM) second generation review process, in the Eastern Cape Province.

The joint consultative engagement will take stock of the current state of the CDWP, how the programme could be strengthened to ensure improved service delivery, and will empower CDWs on their role in the APRM second generation review process, which will commence in the 2018/19 financial year.

The consultative engagement with Gauteng CDWs will be the fourth of the nine planned provincial consultations, following successful engagements that the Minister had with all the CDWs of Limpopo, Western Cape, and Gauteng provinces respectively. The provincial consultative engagements are part of a build-up, leading to the national conference of CDWs, which will be held this year.

Since the inception of the Community Development Workers Programme, the CDWs have been the conduits of information between Government and the citizens, and have contributed immensely in the speeding up of service delivery. Community Development Workers will also play an important role of engaging the communities and collecting relevant information during the upcoming APRM second generation review process.

The Minister, who will be joined by the leadership of the Eastern Cape Provincial Government, will engage all CDWs during an event which is scheduled as follows:

    DateMonday 15 January 2018
    VenuePremier Hotel Regent, East London (Buffalo City Metropolitan Municipality)
    Time09:00

Enquiries:

Pfarelo Maduguma

Pfarelo.Maduguma@dpsa.gov.za

083 923 2328

ISSUED BY THE MINISTRY FOR PUBLIC SERVICE AND ADMINISTRATION


*Having trouble viewing this site? Please make sure you are using Internet Explorer version 7 or later or Firefox version 3 or later.